function NewNewInteractionNetwork = BEBA_UpdateNetwork(Opinions, AgentParameters, InteractionNetwork)

NetworkConstraints = InteractionNetwork{1}; % Network constraints

NewInteractionNetwork = zeros(size(Opinions,1), size(Opinions,1));

for id_agent = 1:size(Opinions,1)
    ent_par = AgentParameters(id_agent); % entrenchment parameter

    for id_col = 1:size(Opinions,1)

        if NetworkConstraints(id_agent,id_col) == 1
            % If the edge is in the set of edges

            opinion_1 = Opinions(id_agent);
            opinion_2 = Opinions(id_col);

            NewInteractionNetwork(id_agent,id_col) = (ent_par*opinion_1*opinion_2) + 1;

        end

    end

end

NewNewInteractionNetwork = {NetworkConstraints, NewInteractionNetwork};
% The constraints remain the same, but the network changes

end